Show / Hide Table of Contents

# Class TensorBase

This class is a base for all Tensors. It hosts maps with type traits.

##### Inheritance

System.Object
TensorBase
Tensor<T>

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Microsoft.ML.OnnxRuntime.Tensors

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class TensorBase

### Constructors

#### TensorBase(Type)

Constructs TensorBae

##### Declaration

    protected TensorBase(Type primitiveType)

##### Parameters

Type | Name | Description
--- | --- | ---
Type | primitiveType | primitive type the deriving class is using

### Methods

#### GetElementTypeInfo(TensorElementType)

Query TensorElementTypeInfo by enum

##### Declaration

    public static TensorElementTypeInfo GetElementTypeInfo(TensorElementType elementType)

##### Parameters

Type | Name | Description
--- | --- | ---
TensorElementType | elementType | type enum

##### Returns

Type | Description
--- | ---
TensorElementTypeInfo | instance of TensorElementTypeInfo or null if not found

#### GetTypeInfo()

Query TensorTypeInfo using this Tensor type

##### Declaration

    public TensorTypeInfo GetTypeInfo()

##### Returns

Type | Description
--- | ---
TensorTypeInfo |

#### GetTypeInfo(Type)

Query TensorTypeInfo by one of the supported types

##### Declaration

    public static TensorTypeInfo GetTypeInfo(Type type)

##### Parameters

Type | Name | Description
--- | --- | ---
Type | type |

##### Returns

Type | Description
--- | ---
TensorTypeInfo | TensorTypeInfo or null if not supported